Description

I'm using Linux Mint Debian Ed. x64 with Mate desktop and an unusual dual screen configuration on a Nvidia Quattro 2000D:  a

2560x1600 main screen and a 1280x1024 secondary screen to its left; the desktop extends on both screens, the upper edges of both

screens are aligned.  My Audacious 3.4.1 usually sits all day in in the far left upper corner.

Now very often (but not always) when I click into Audacious's window it jumps to the right by nearly the width of my smaller screen

(maybe 1200 px) while my mouse pointer remains on the now empty spot where I clicked.

When I again click and hold into Audacious's title bar to drag it back, it again jumps to the right but keeps hanging with that offset at

the pointer so I can drag it back.  But not all the way to the left edge since the mouse pointer stops at the left edge and Audacious

still hangs with one screen offset right at it.

When I release and a for second time click and hold into Audacious's title bar, all is back to normal again and I can drag it back into

its corner and then click in its menus as intendend in the first place…  until some time later it flees from my click again.

I noticed one other program, namely Atril (previously Evince), with similar behaviour.  All other programs don't do this.

Hans

History

#1 - February 22, 2014 02:30 - John Lindgren

Winamp or GTK+ interface?  Does the same problem occur with another window manager?  I'm inclined to assume that it's a window manager bug

because to Audacious, your two screens look like one big one anyway.

#2 - February 23, 2014 08:52 - Anonymous

Using GTK+ — will test Winamp interface next days.  Will also look after the WM.

Yes, my desktop appears as one big one, but an L-shaped one due to the different screen sizes which might confuse some things.  Anyway, I know

only of Audacious and Atril to misbehave in this way.  Ts.

Hans

#3 - February 23, 2014 11:15 - Thomas Lange

I experienced a similar problem a long time ago with Xfce.

Bug report: https://bugzilla.xfce.org/show_bug.cgi?id=8949

Solution: implementation of NET_WM_MOVERESIZE_CANCEL: 

http://git.xfce.org/xfce/xfwm4/commit/?id=099614e3f045e06db7ab509e174510ea74857adb

My assumption is that Mate does not implement this.

Could you please check the video and test case from the bug report to know if your issue is the same?

In this case you should file a bug report to Mate.

June 30, 2025 1/2

https://bugzilla.xfce.org/show_bug.cgi?id=8949
http://git.xfce.org/xfce/xfwm4/commit/?id=099614e3f045e06db7ab509e174510ea74857adb


#4 - February 24, 2014 12:12 - Anonymous

My LMDE Mate is using mdm; with the Winamp interface I did not observe this jumping up to now.

The bug certainly looks like depicted in Thomas' video.

Thomas — since I'm not an experienced C developer, could you please give me the command line or a makefile for your test case?  I spent some

time to hunt down all the referenced headers but gave up with the libraries after

gcc -I/usr/include/gtk-3.0/ -I/usr/include/glib-2.0/ -I/usr/lib/x86_64-linux-gnu/glib-2.0/include/ -I/usr/include/pango-1.0/ -I/usr/include/cairo/

-I/usr/include/gdk-pixbuf-2.0/ -I/usr/include/atk-1.0/ toolbar.c

returned a lot of 'undefined reference'…

#5 - February 24, 2014 18:30 - Thomas Lange

First install libgtk-3-dev, then just use

gcc toolbar.c -o toolbar $(pkg-config --cflags --libs gtk+-3.0)

If the toolbar is too small, add

gtk_widget_set_size_request (toolbar, -1, 30);

after line 14.

#6 - February 28, 2014 11:45 - Anonymous

Ok… at first the toolbar test program seemed to behave flawlessly.  But after I inserted the line to enlarge the bar so that I could see it and click on it,

it jumps around in exactly the same way.

So, no problem of Audacious, we can close this.  Thank you, Thomas!

Now I'll file this with Mate — but for which part of Mate then?  At first glance I didn't even find their bug tracker…

Thanks, Hans

#7 - February 28, 2014 18:24 - Thomas Lange

- Status changed from New to Closed

Glad to help, I think https://github.com/mate-desktop/marco/issues would be the correct place.

If there is a fix, please let us know. Thanks.

Marking as Closed.
